Bug 253304 - multimedia/vdr-plugin-xineliboutput: fix build after libxine update
Summary: multimedia/vdr-plugin-xineliboutput: fix build after libxine update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias Kortkamp
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-02-06 17:57 UTC by Stefan Ehmann
Modified: 2021-03-27 13:32 UTC (History)
1 user (show)

See Also:


Attachments
patch to fix build (17.28 KB, patch)
2021-02-06 17:57 UTC, Stefan Ehmann
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Ehmann 2021-02-06 17:57:58 UTC
Created attachment 222219 [details]
patch to fix build

vdr-plugin-xineliboutput fails to build after the update of multimedia/libxine to 1.2.11.

All issues are fixed upstream, unfortunately the current version does not build because we have ancient version of multimedia/vdr.
xineliboutput.c:41:3: error: VDR API versions < 1.7.33 are not supported !

I've combined several upstream commits to fix the build. vdr-sxfe is still working for me. 

Hope that we'll see an update to vdr some day.
Comment 1 Li-Wen Hsu freebsd_committer 2021-02-13 12:47:09 UTC
(In reply to Stefan Ehmann from comment #0)
Thanks for the patch, do you want to take the maintainership of this port (and also vdr*, if possible)?
Comment 2 Stefan Ehmann 2021-02-13 19:55:38 UTC
(In reply to Li-Wen Hsu from comment #1)

Unfortunately, I have no plans to become the maintainer at the moment.

The only reasonable way to keep it working long-term is to update to a more recent version of VDR. The last upgrade to 1.7.29 was over 9 years ago, latest release is 2.4.6. Also, there are over 20 VDR related ports. That sounds like a lot of work.
Comment 3 commit-hook freebsd_committer 2021-03-27 13:22:20 UTC
A commit references this bug:

Author: tobik
Date: Sat Mar 27 13:21:19 UTC 2021
New revision: 569329
URL: https://svnweb.freebsd.org/changeset/ports/569329

Log:
  multimedia/vdr-plugin-xineliboutput: Unbreak build with libxine 1.2.11

  xine_frontend.c:2009:23: error: no member named 'port_ticket' in 'struct xine_s'
    this->stream->xine->port_ticket->acquire(this->stream->xine->port_ticket, 0);
    ~~~~~~~~~~~~~~~~~~  ^

  http://beefy18.nyi.freebsd.org/data/main-amd64-default/p569282_sfe496dc02a/logs/errors/vdr-plugin-xineliboutput-1.0.90s20120511_30.log

  PR:		253304
  Submitted by:	Stefan Ehmann <shoesoft@gmx.net>

Changes:
  head/multimedia/vdr-plugin-xineliboutput/files/patch-osd__manager.c
  head/multimedia/vdr-plugin-xineliboutput/files/patch-xine_frontend.c
  head/multimedia/vdr-plugin-xineliboutput/files/patch-xine_input_vdr.c
Comment 4 Tobias Kortkamp freebsd_committer 2021-03-27 13:32:58 UTC
Committed, thanks.

In their current state I think the vdr* ports should be removed. It makes no
sense that we have to continuously patch them. They are incredibly
outdated. It also looks like many of our patches were never upstreamed.

> Also, there are over 20 VDR related ports. That sounds like a lot of work.

It does sound like a lot of work, so the best way forward would be to do
it step by step and not worry at all about the vdr-plugins-* ports.
I'd update multimedia/vdr and required core plugins (if any) first and
worry about the rest later.